> ## Documentation Index
> Fetch the complete documentation index at: https://docs.perquery.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List runs

> Returns the recent measurement runs of the site, newest first. Use `limit` to set the number of runs.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/sites/{site_uuid}/visibility/runs
openapi: 3.0.3
info:
  title: Perquery API
  version: 1.0.0
  description: Read-only access to the data of your Perquery organization.
servers:
  - url: https://perquery.ai/api
security:
  - apiKey: []
paths:
  /v1/sites/{site_uuid}/visibility/runs:
    get:
      tags:
        - Visibility
      summary: List runs
      description: >-
        Returns the recent measurement runs of the site, newest first. Use
        `limit` to set the number of runs.
      operationId: list_runs
      parameters:
        - in: query
          name: limit
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 20
        - in: path
          name: site_uuid
          schema:
            type: string
            format: uuid
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/RunSummaryResponse'
          description: ''
      security:
        - apiKey: []
components:
  schemas:
    RunSummaryResponse:
      type: object
      properties:
        uuid:
          type: string
          format: uuid
        status:
          $ref: '#/components/schemas/RunStatus'
        grounding_mode:
          $ref: '#/components/schemas/GroundingMode'
        prompt_count:
          type: integer
        persona_count:
          type: integer
        assistants:
          type: array
          items:
            $ref: '#/components/schemas/Assistant'
        created_at:
          type: string
          format: date-time
          nullable: true
        completed_at:
          type: string
          format: date-time
          nullable: true
        counts:
          $ref: '#/components/schemas/RunItemCountsResponse'
        failures:
          type: array
          items:
            $ref: '#/components/schemas/RunFailureResponse'
      required:
        - assistants
        - completed_at
        - counts
        - created_at
        - failures
        - grounding_mode
        - persona_count
        - prompt_count
        - status
        - uuid
    RunStatus:
      enum:
        - running
        - finalising
        - completed
        - partial
        - failed
        - cancelled
      type: string
      description: |-
        * `running` - running
        * `finalising` - finalising
        * `completed` - completed
        * `partial` - partial
        * `failed` - failed
        * `cancelled` - cancelled
    GroundingMode:
      enum:
        - grounded
        - ungrounded
        - mixed
      type: string
      description: |-
        * `grounded` - grounded
        * `ungrounded` - ungrounded
        * `mixed` - mixed
    Assistant:
      enum:
        - chatgpt
        - gemini
        - claude
        - perplexity
        - googleai
        - grok
        - deepseek
      type: string
      description: |-
        * `chatgpt` - chatgpt
        * `gemini` - gemini
        * `claude` - claude
        * `perplexity` - perplexity
        * `googleai` - googleai
        * `grok` - grok
        * `deepseek` - deepseek
    RunItemCountsResponse:
      type: object
      properties:
        pending:
          type: integer
        processing:
          type: integer
        done:
          type: integer
        failed:
          type: integer
        skipped:
          type: integer
        total:
          type: integer
      required:
        - done
        - failed
        - pending
        - processing
        - skipped
        - total
    RunFailureResponse:
      type: object
      properties:
        reason:
          $ref: '#/components/schemas/FailureReason'
        count:
          type: integer
      required:
        - count
        - reason
    FailureReason:
      enum:
        - not_configured
        - authentication
        - invalid_request
        - content_policy
        - quota_exhausted
        - rate_limited
        - billing
        - timeout
        - provider_error
        - attempts_exhausted
        - circuit_open
        - budget_exceeded
        - missing_input
        - cancelled
      type: string
      description: |-
        * `not_configured` - not_configured
        * `authentication` - authentication
        * `invalid_request` - invalid_request
        * `content_policy` - content_policy
        * `quota_exhausted` - quota_exhausted
        * `rate_limited` - rate_limited
        * `billing` - billing
        * `timeout` - timeout
        * `provider_error` - provider_error
        * `attempts_exhausted` - attempts_exhausted
        * `circuit_open` - circuit_open
        * `budget_exceeded` - budget_exceeded
        * `missing_input` - missing_input
        * `cancelled` - cancelled
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: '`ApiKey pq_<prefix>_<secret>`. An API key gives read-only access.'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.